This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853824 - Add Project Maintainer dialog: A blank dialog titled UserNameYouJustType shows up if you type username very quick
Add Project Maintainer dialog: A blank dialog titled UserNameYouJustType show...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 00:18 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121009-1428)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-09-03 00:18:15 EDT
Description of problem:
When adding project maintainers with "Add Project Maintainer" dialog, a blank dialog with username title shows up if you type the username too quick.

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120903-0015)

How reproducible:
Always (if you are quick enough)


Steps to Reproduce:
0. Sign in as a project maintainer.
1. Visit any project you maintain, and click "Manage Maintainers"
2. Click Action "Add Project Maintainer"
3. Quickly type any valid user and press enter.
  
Actual results:
A blank dialog titled UserNameYouJustType shows up

Expected results:
Search the usernames that contain the string as prefix.
and show either 
1) a user seletion box if there is multiple matches, or
2) the actual name and email address if there is only one match.

Additional info:
Comment 1 Alex Eng 2012-10-02 18:57:28 EDT
Issue has been fixed along with 
https://bugzilla.redhat.com/show_bug.cgi?id=854076#c2
Comment 2 Ding-Yi Chen 2012-10-09 01:27:48 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121009-1428) on
    Firefox ESR 10.0.6 
and Google Chrome 16.0.874.121
Comment 3 Sean Flanigan 2012-11-07 01:19:06 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.